# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=4

inherit eutils qmake-utils git-r3

DESCRIPTION="advanced dual-screen pdf presenter using OpenGL"
HOMEPAGE="http://www.unix-ag.uni-kl.de/~kldenker/gl_presenter/"

EGIT_REPO_URI="https://github.com/KLAU542/gl-presenter.git"

LICENSE="GPL-3+"

SLOT="0"

KEYWORDS=""

IUSE="qt4 +qt5"

DEPEND="qt5? ( app-text/poppler[qt5]
		       dev-qt/qtopengl:5
			  )
		qt4? ( app-text/poppler[qt4]
		        dev-qt/qtopengl:4
			  )
		virtual/glu"
REQUIRED_USE="|| ( qt4 qt5 )"
RDEPEND="${DEPEND}
		media-fonts/dejavu"

src_configure() {
	if use qt4 ; then
	  eqmake4
	else
	 eqmake5
	fi
}

src_install() {
	emake INSTALL_ROOT="${D}" install
}
